Subject: Re: [PATCH] smsc95xx: Add module parameter to override MAC address

From: Sebastien Jan <[email-masked]>
Date: Fri, 25 Jun 2010 16:20:36 +0200

Hi Steve,

Thanks for your answer.

On 06/25/2010 10:43 AM, [email-masked] wrote:
[...]
> I can see you have a different use case, but I don't think this specific
> driver is the place for this logic.  I'd rather see it added to either
> the usbnet framework or (preferably) the netdev framework so *all*
> ethernet drivers can do this the same way.  otherwise we could end up
> with slight variations of this code in every single driver!

I perfectly understand your concerns. Unfortunately, I will probably not be
able to implement these changes into the netdev framework. However, I'd be 
happy to make some tests if someone proposes such changes.